# SubLogger (SubServers.Host)

net.ME1312.SubServers.Host.Executable

## Class SubLogger

- java.lang.Object
- - net.ME1312.SubServers.Host.Executable.SubLogger

    public class SubLogger
    extends java.lang.Object

Internal Process Logger Class

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getHandler()` Gets the Object using this Logger
`java.lang.String` `getName()` Gets the Name of the task logging
`boolean` `isLogging()` Get if the Logger is currently logging
`void` `start()` Start Logger
`void` `stop()` Stop Logger

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### start

    public void start()

Start Logger

#### stop

    public void stop()

Stop Logger

#### getHandler

    public java.lang.Object getHandler()

Gets the Object using this Logger

Returns:
  Object

#### getName

    public java.lang.String getName()

Gets the Name of the task logging

Returns:
  Log Task Name

#### isLogging

    public boolean isLogging()

Get if the Logger is currently logging

Returns:
  Logging Status